Last Comment Bug 708761 - Turn Webtools::Socorro into a product called Socorro
: Turn Webtools::Socorro into a product called Socorro
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Administration (show other bugs)
: Production
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
Mentors:
Depends on: 708951
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-08 11:38 PST by Laura Thomson :laura
Modified: 2011-12-28 10:43 PST (History)
5 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Laura Thomson :laura 2011-12-08 11:38:14 PST
We have too many bugs (700 or so) and too many people and need to structure this a bit more to make triage manageable.

The components should be:
Middleware
Webapp
Backend
Infra
Database
Data request
General

You can put all the existing bugs into General, and we'll move them around. 

Please keep the milestones as they are now in Webtools.
Comment 1 David Lawrence [:dkl] 2011-12-08 11:46:11 PST
(In reply to Laura Thomson :laura from comment #0)
> The components should be:
> Middleware
> Webapp
> Backend
> Infra
> Database
> Data request
> General

We will need descriptions for each component as described here:
https://wiki.mozilla.org/BMO/Requesting_Changes#Components
 
> You can put all the existing bugs into General, and we'll move them around. 
 
Once the new product is created, we can run a migration script that will move the old bugs to their new product/component. This may take longer that a day or so as we have to test the script locally, and then create a bug for IT scheduling the time for them to run the script on the production servers.

dkl
Comment 2 Laura Thomson :laura 2011-12-08 16:28:47 PST
Middleware: Issues relating to the internal Socorro API
Webapp: Issues and requests relating to the web app visible at crash-stats.mozilla.com
Backend: Issues and requests to do with collection, processing, cron jobs, and other back end components
Infra: Requests for Skiplist changes, deployment issues, and other configuration changes, including build infrastructure and automation
Database: Issues and requests to do with the PostgreSQL database
Data request: Requests for ad hoc reporting, queries against HBase, queries against PostgreSQL, etc
General: Any issues that don't fit elsewhere; tracker bugs for new features that affect many components
Comment 3 David Lawrence [:dkl] 2011-12-08 20:17:23 PST
New product Socorro has been created and the new components are there. I will
file an IT bug to have the old bugs moved over and make it a blocker of this one.

dkl
Comment 4 David Lawrence [:dkl] 2011-12-13 10:36:52 PST
Question: Does the new Socorro product need access to the tracking/status flag fields that were available for Webtools::Socorro? I forgot to ask that before.

dkl
Comment 5 Laura Thomson :laura 2011-12-13 10:41:11 PST
Yes please!
Comment 6 David Lawrence [:dkl] 2011-12-13 12:14:03 PST
(In reply to Laura Thomson :laura from comment #5)
> Yes please!

As this required a code update, it will show up in our next scheduled update, hopefully this thursday.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.0
modified extensions/BMO/lib/Data.pm
Committed revision 7985.

dkl
Comment 7 Laura Thomson :laura 2011-12-28 07:03:14 PST
dkl, could you please advise as to status?  We'd like to get those bugs migrated so we can triage appropriately for Q1 planning.
Comment 8 David Lawrence [:dkl] 2011-12-28 09:29:52 PST
(In reply to Laura Thomson :laura from comment #7)
> dkl, could you please advise as to status?  We'd like to get those bugs
> migrated so we can triage appropriately for Q1 planning.

Sorry for the delay. The tracking/status fields are now available for use with Socorro bugs as of last Thursday. I have pinged IT about the status of running the migration scripts in bug 708951. Hopefully they can get to those today or tomorrow and we can close this out.

dkl
Comment 9 David Lawrence [:dkl] 2011-12-28 10:43:05 PST
All done now. Let me know if there are any problems.

Note You need to log in before you can comment on or make changes to this bug.